# ieee1905 functional test

To run the ieee1905 functional test or to test the ieee1905 stack, it is required to have at least two connected nodes running ieee1905 stack. In the docker environment to simulate the second node 'tcpreplay' is used.

To run the test some pre-captured packets are used, which is captured with below configuration on first node
```
config ieee1905 'ieee1905'
        option enabled '1'
        option debug  true
        option debug_level  3
        option macaddress '02:42:ac:11:00:02'
        option registrar 0
        option cmdu_event 0
        option map_plugin 0

config security 'security'
        list method 'PBC'

config al-iface
        option enabled 1
        option ifname 'br-lan'
        option media 'eth'

```
Captured packets/cmdu are available in below path
```
test/pcap/
├── autoconfig_search.pcap
├── higher_layer_query.pcap
├── higher_layer_response.pcap
├── link_metric_query.pcap
├── link_metric_response.pcap
├── topology_discover.pcap
├── topology_query.pcap
└── topology_response.pcap

```

These cmdus are replayed in a sequence to mimic there is another node present in the network and then validated using the ubus calls of 'neighbor', 'link', 'info' methods.
